using FluentScheduler;
using Performance.Services.ExtractExcelService;

namespace Performance.Api
{
    public class ExtractDataJob : IJob
    { 

        private readonly ExtractJobService _extractJobService;

        public ExtractDataJob(ExtractJobService extractJobService)
        {
            _extractJobService = extractJobService;
        }

        public void Execute()
        {
            _extractJobService.Execute();
        }
    }
}
